horae (071~svn537+ds1-1) unstable; urgency=medium

  * Team upload
  * Reintroduce into Debian (Closes: #1000444).
  * Include changes from NMU - thanks Stuart Prescott
  * Switch maintainer to Debian PaN Maintainers <debian-pan-
    maintainers@alioth-lists.debian.net>
  * Repack to exclude lib/Ifeffit/lib/pod.css
  * Add Perl license usage to d.copyright

 -- Neil Williams <codehelp@debian.org>  Mon, 22 Nov 2021 15:20:37 +0000

horae (071~svn537-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS - Can't locate Module/Build.pm" by adding a build-dependency on
    libmodule-build-perl, with thanks to Logan Rosen (Closes: #812652).

 -- Stuart Prescott <stuart@debian.org>  Mon, 07 Nov 2016 11:04:20 +1100

horae (071~svn537-2) unstable; urgency=medium

  * Add Build-Depends on libpod-latex-perl (Closes: #772611)

 -- Carlo Segre <segre@debian.org>  Sat, 10 Jan 2015 14:53:11 -0600

horae (071~svn537-1) unstable; urgency=medium

  * New upstream release (Closes: #708947)
  * Modify mkathena.PL and mkartemis.PL to compensate for random order of 
    execution of *.PL execution and thus missing components for executables.
    (Closes: #746364)
  * Upgrade to Standards-Version 3.9.6 (no changes)

 -- Carlo Segre <segre@debian.org>  Wed, 03 Dec 2014 23:20:00 -0600

horae (071~svn536-1) unstable; urgency=low

  * New plugin files in SVN pull
  * Upgrade to Standards-Version 3.9.2

 -- Carlo Segre <segre@debian.org>  Mon, 20 Jun 2011 12:04:52 -0500

horae (071~svn533-1) unstable; urgency=low

  * Prerelease SVN pull
  * Upgrade to Standards-Version 3.9.0 (no changes)

 -- Carlo Segre <segre@debian.org>  Thu, 29 Jul 2010 02:06:01 -0500

horae (071~svn531-1) unstable; urgency=low

  * Prerelease SVN pull
  * Change dependency to libifeffit-perl due to renaming of perl wrapper
  * Add ${misc:Depends} dependency
  * Change to source format 3.0 (quilt)
  * Upgrade to Standards-Version 3.8.4 (no changes)

 -- Carlo Segre <segre@debian.org>  Tue, 11 May 2010 19:01:44 -0500

horae (070-1) unstable; urgency=low

  * New upstream release
  * Upgrade to Standards-Version 3.8.2
  * Restore Education top level menu item in *.desktop files
    NOTE: This is not the right solution but conforms to the freedesktop.org 
          standard. KDE and Gnome provide a "Science" top level menu through
          their own configuration files.  XFCE4 currently does not but can be
          configured to do so.  See README.Debian for this information.

 -- Carlo Segre <segre@debian.org>  Sat, 04 Jul 2009 11:16:53 -0500

horae (070~svn512-2) unstable; urgency=low

  * Remove WWWBrowser.pm from the package (Closes: #519030)
  * Add dependency on libwwwbrowser-perl.

 -- Carlo Segre <segre@debian.org>  Tue, 10 Mar 2009 21:40:32 -0500

horae (070~svn512-1) unstable; urgency=low

  * New upstream release
  * Split horae-doc into separate source and package, add dependency

 -- Carlo Segre <segre@debian.org>  Wed, 04 Mar 2009 23:07:54 -0600

horae (067-1) unstable; urgency=low

  * New upstream release
  * Completely changed build system, use quilt for patches
  * Eliminate horae-examples package and put exmaple tarballs into
    /usr/share/doc/horae/examples
  * Rename 'ifeffit_shell.pl' and its manpage to 'ifeffit_shell'
  * Return to using our own man pages for athena and hephaestus
  * Update Standards-Version to 3.8.0 (no changes)

 -- Carlo Segre <segre@debian.org>  Mon, 02 Mar 2009 00:34:32 -0600

horae (066-3) unstable; urgency=low

  * Apply patch to athena_parts/misc.pl for compatibility with 
    perl-tk 804.28.

 -- Carlo Segre <segre@debian.org>  Sat, 23 Feb 2008 23:13:02 -0600

horae (066-2) unstable; urgency=low

  * Fix Athena to work properly with perl-tk 804.28 
    (in athena_parts/head.pl)
  * Update to Standards Version 3.7.3 (no changes)

 -- Carlo Segre <segre@debian.org>  Sat, 23 Feb 2008 14:23:41 -0600

horae (066-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Sat, 22 Sep 2007 14:56:38 -0500

horae (065-3) unstable; urgency=low

  * Comply with new menu and desktop policy

 -- Carlo Segre <segre@debian.org>  Sat, 18 Aug 2007 10:42:20 -0500

horae (065-2) unstable; urgency=low

  * Enlarge default fixed fonts for proper default viewing

 -- Carlo Segre <segre@debian.org>  Tue, 24 Jul 2007 14:00:13 -0500

horae (065-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Sat, 21 Jul 2007 19:16:07 -0500

horae (064-1) unstable; urgency=low

  * New upstream release, dropped dependency on libtk-filedialog-perl.

 -- Carlo Segre <segre@debian.org>  Thu, 28 Dec 2006 12:36:48 -0600

horae (063-3) unstable; urgency=high

  * Fix debian/rules file to account for changes in source tree 
    organization and for case where maintainer forgets to delete 
    unneeded CPAN module sources from upstream tarball.

 -- Carlo Segre <segre@debian.org>  Tue, 26 Dec 2006 11:54:29 -0600

horae (063-2) unstable; urgency=high

  * Add dependency on libtk-filedialog-perl and don't install the 
    Tk/FileDialog.pm module (Closes: #404006).

 -- Carlo Segre <segre@debian.org>  Sun, 24 Dec 2006 15:51:39 -0600

horae (063-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Mon, 27 Nov 2006 18:40:35 -0600

horae (062-2) unstable; urgency=low

  * Added Tag: field to debian/control for Enrico Zini's test.

 -- Carlo Segre <segre@debian.org>  Sat,  9 Sep 2006 01:30:15 -0500

horae (062-1) unstable; urgency=low

  * First official Debian release (Closes: #373211)
  * New upstream release
  * Added dependency on libtext-glob-perl
  * Flag for Debian build changed to '--platform=debian'

 -- Carlo Segre <segre@debian.org>  Thu, 29 Jun 2006 00:28:04 -0500

horae (061-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Tue, 28 Mar 2006 10:40:30 -0600

horae (060-2) unstable; urgency=low

  * Remove menu entry for TkAtoms, which is no longer in horae.

 -- Carlo Segre <segre@iit.edu>  Fri, 10 Mar 2006 23:59:05 -0600

horae (060-1) unstable; urgency=low

  * New upstream release - bug fixes

 -- Carlo Segre <segre@iit.edu>  Wed,  8 Feb 2006 16:01:36 -0600

horae (059-1) unstable; urgency=low

  * New upstream release - bug fixes

 -- Carlo Segre <segre@iit.edu>  Tue,  3 Jan 2006 01:51:00 -0600

horae (058-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Tue, 22 Nov 2005 17:30:13 -0600

horae (057-3) unstable; urgency=low

  * Corrected Cromer-Liberman calculation close to edge.

 -- Carlo Segre <segre@iit.edu>  Tue,  8 Nov 2005 23:31:45 -0600

horae (057-2) unstable; urgency=low

  * Comment out debugging statement in McMaster.pm

 -- Carlo Segre <segre@iit.edu>  Tue,  8 Nov 2005 09:06:52 -0600

horae (057-1) unstable; urgency=low

  * New upstream release - see following URL for details
      http://cars9.uchicago.edu/iffwiki/HoraeVersion057
      Changes described below in McMaster data incorporated

 -- Carlo Segre <segre@iit.edu>  Mon,  7 Nov 2005 14:28:13 -0600

horae (056-3) unstable; urgency=low

  * Corrected some values in the McMaster data tables:
      U  - a_l(1)
      Tm - L-beta emission energy
      Re - atomic number, weight, denssity and conversion factor

 -- Carlo Segre <segre@iit.edu>  Fri,  4 Nov 2005 02:34:04 -0600

horae (056-2) unstable; urgency=low

  * Added dependency on libmath-round-perl.

 -- Carlo Segre <segre@iit.edu>  Mon, 17 Oct 2005 13:21:24 -0500

horae (056-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Fri, 14 Oct 2005 14:08:20 -0500

horae (054-1) unstable; urgency=low

  * New upstream release - see following for details
      http://cars9.uchicago.edu/iffwiki/HoraeVersion054

 -- Carlo Segre <segre@iit.edu>  Sun,  4 Sep 2005 11:09:45 -0500

horae (053-2) unstable; urgency=low

  * restricted FEFF calculations to NLEG=4 to reduce number of paths

 -- Carlo Segre <segre@iit.edu>  Fri,  5 Aug 2005 18:39:40 -0500

horae (053-1) unstable; urgency=low

  * Artemis - version 0.8 released, too many new features to list see:
    http://leonardo.phys.washington.edu/~ravel/software/doc/Artemis/artemis0.8.pdf

  * Athena - new features:
    1. New plug-in architecture for reading data files
    2. Improvements to linear combination fitting
    3. Plotting improvements

  * Hephaestus - new features:
    1. Ion chamber utility changes
    2. Formula utility changes

 -- Carlo Segre <segre@iit.edu>  Sun, 17 Jul 2005 12:02:34 -0500

horae (053-0pre1) unstable; urgency=low

  * Upstream pre-release
  * Diana is no more, has become Artemis

 -- Carlo Segre <segre@iit.edu>  Sat,  9 Jul 2005 12:14:14 -0500

horae (052-0pre1) unstable; urgency=low

  * Upstream pre-release

 -- Carlo Segre <segre@iit.edu>  Tue, 31 May 2005 16:36:45 -0500

horae (051-1) unstable; urgency=low

  * New upstream release - bugfixes

 -- Carlo Segre <segre@iit.edu>  Thu, 28 Apr 2005 00:23:48 -0500

horae (050-1) unstable; urgency=low

  * New upstream release - fixed Tk compatibilities

 -- Carlo Segre <segre@iit.edu>  Sun, 24 Apr 2005 19:21:57 -0500

horae (049-1) unstable; urgency=low

  * Athena - new features:
    1. Data can now be rebinned using Ifeffit's rebin() function
    2. Automatic replotting of data when return is entered after
       change in textbox
    3. Improved information display on main page

  * Artemis - bugfixes only

  * Hephaestus - new feature:
   1. Added fluorescence line finder

  * Diana - many new features, see URL below:
    http://leonardo.phys.washington.edu/~ravel/misc/artemis0.8.pdf

 -- Carlo Segre <segre@iit.edu>  Sat, 23 Apr 2005 19:06:15 -0500

horae (048-1) unstable; urgency=low

  * New upstream release
  * Mostly bugfixes except for new features in Diana

 -- Carlo Segre <segre@iit.edu>  Fri, 14 Jan 2005 01:37:38 -0600

horae (047-2) unstable; urgency=low

  * Bug fix by Matt Newville for athena (set_properties.pl line 245-254) 
    which allows data files to be read in.

 -- Carlo Segre <segre@iit.edu>  Wed, 12 Jan 2005 00:46:26 -0600

horae (047-1) unstable; urgency=low

  * Artemis - bug fixes only.

  * Diana - new features:
    1. Maintain a history of the fits made with a project such that old 
       fits could be plotted and their log files examined.
    2. Develop an interface for examining log files and writing reports 
       from them.
    3. Revamp the Feff interpretation page.
    4. Revamp the Atoms page.
    5. Revert a project to the state from a previous fit.
    6. Reduce project file size by removing unused files from the project. 
    7. Import data directly from Athena project files.
    8. Provide in-program documentation.

 -- Carlo Segre <segre@iit.edu>  Wed,  5 Jan 2005 20:25:27 -0600

horae (046-1) unstable; urgency=low

  * Athena - bug fixes and one new feature, which is an indicator at 
    the top of the list of data groups which tells you when your 
    project has been modified and needs to be saved.  Clicking on
    this indicator is the same as choosing "File->Save project".

  * Artemis - bug fixes only.

  * Diana - a number of important bug fixes and two major new features:
    1. In the Fits menu, there is a menu item for saving a "full data"
       file.  This file records the data, the fit, the residual, the
       background (if appropriate), and the window as columns in a
       single file.  If chi(R) or chi(q) is saved, the FT parameters
       appropriate to the chosen fit are used for all the columns.
    2. You can now revert your project to a previous fitting model by
       selecting that fit from the Data and Paths List and selecting
       the restore option from the Fits menu.  Fit model restoration
       can also be done with the right-click menu on the list on the
       log viewer page.  I'll be eager to hear how well this works for
       others.

 -- Carlo Segre <segre@iit.edu>  Fri,  5 Nov 2004 21:29:39 -0600

horae (045-1) unstable; urgency=low

  * Athena - small change to avoid a bug in reading files with 
             energies which are not in increasing order

 -- Carlo Segre <segre@iit.edu>  Fri,  8 Oct 2004 18:52:38 -0500

horae (044-1) unstable; urgency=low

  * Diana - new release of development version
    1. A revamped feff interpretation page with new functionality
    2. A revamped atoms page with new functionality
    3. Major improvements to the fit history system
    4. Direct import of data from Athena project files
    5. New type of parameter on the GDS page -- an "after" parameter is
       like a def in that it takes a math expression, but it is not part
       of the fit and is evaluated only after the fit finishes and then
       is recorded in the log file
    6. Lots of bug fixes and minor feature enhancements.

 -- Carlo Segre <segre@iit.edu>  Wed,  6 Oct 2004 18:21:57 -0500

horae (042-1) unstable; urgency=low

  * Diana - new release of development version
    1. Revamped Feff interpretation page. 
       a. Four combinations of font and color serve for various    
          states of paths
       b. Plot paths + data from right-click menu
       c. Extended selection + right-click menu entries for
          operating on the set of selected paths
    2. Added extended selection to the GDS list.  Right-click menu
       now used to change type or discard selected parameters
    3. Edit menu option to compact a project, which means to 
       delete all unused files from a Feff calculation, thus making
       the project file smaller
    4. Many bug fixes to the Fit history system

 -- Carlo Segre <segre@iit.edu>  Tue,  7 Sep 2004 17:37:50 -0500

horae (041-2) unstable; urgency=low

  * Install Bruce Ravel's icons in the menu. 

 -- Carlo Segre <segre@iit.edu>  Thu,  2 Sep 2004 17:00:21 -0500

horae (041-1) unstable; urgency=low

  * Artemis:
    1. Now reading CIF files
    2. Updated to Archive::Zip 1.12
    3. Better error checking on the Atoms page
    4. Added an rmax_out configuration variable
    5. Fixed bugs:
      a. importing multiple data sets with the same name into a project
      b. Plotting after fitting multiple data sets in q-space
      c. A problem writing fit column files
  * Diana: Development branch of Artemis
    1. Moved Path_dev.pm to PathDev.pm and changed all instances of 
       Ifeffit::Path to Ifeffit::PathDev in the diana branch
    2. Fixed a problem saving fits, backgrounds, and residuals when a fit 
       was not anchored in the Data and Paths List.
    3. Fixed the triggering of the new version messages in artemis and 
       diana and made them independent
  * Athena:
    1. Using native menubar
    2. Handle very long file and project names better
    3. Added an rmax_out configuration variable
    4. Nifty special effect as the mouse passes over items in the group list
    5. Improved convolution dialog
    6. do autoplot when changing the x-axis in the column selection dialog
    7. do ln(abs()) of transmission data to deal with the odd situation of a
       scalar going negative
    8. labels not group names in text reports
    9. bugs:
       a. default energy column for feff's xmu.dat file
       b. renaming groups might have made them unclickable
       c. Alt-j and Alt-k in an empty project
  * Hephaestus:
    1. New look to the button box
    2. Added the edge finder
    3. fixed a bug in how pressure was used in the ion utility
    4. added energy and density units to the formula utility
    5. formula utility now computes the mass needed for one absorption
       length even if the density of the sample is not provided.
    6. for some inscrutable reason, I had commented out the report of the
       mass needed for an absorption length if the absorption length was
       quite long
    7. added a reset button to the ion chamber utility
    8. changed the button color scheme
    9. made formula results area an ROtext and disabled the mouse-3 menu

 -- Carlo Segre <segre@iit.edu>  Wed,  1 Sep 2004 01:02:36 -0500

horae (038-2) unstable; urgency=low

  * Artemis - bug fixes plus the following:
    1.  An autosave file is written at certain times so that you can
        recover work in the event of a crash.
    2.  Artemis now uses a native menubar.  This means that the menus can
        be driven entirely from the keyboard using (on PC keyboards) the
        Alt key.
    3.  There are a couple of small changes in functionality on the GDS
        page.  Now, if you click on a different variable while editing a
        variable, the first variable will be defined before the new one is
        displayed.
    4.  The General->workspace variable is no longer used.  I apologize to
        those who used this feature, but it was the source of too many
        problems.
    5.  The writing of trap files has been disabled in this version, but
        the same information still gets written to the console and should
  * Athena - bug fixes
  * Haphaestus - new page with chart of electronic transitions.

 -- Carlo Segre <segre@iit.edu>  Wed, 28 Jul 2004 00:19:08 -0500

horae (038-1rc2) unstable; urgency=low

  * New upstream release candidate

 -- Carlo Segre <segre@iit.edu>  Wed, 14 Jul 2004 22:59:46 -0500

horae (038-1rc1) unstable; urgency=low

  * New upstream release candidate

 -- Carlo Segre <segre@iit.edu>  Sat, 10 Jul 2004 12:10:13 -0500

horae (037-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Mon, 21 Jun 2004 22:55:21 -0500

horae (036-2) unstable; urgency=low

  * Changed to require libarchive-zip-perl (>=1.02).

 -- Carlo Segre <segre@iit.edu>  Thu,  3 Jun 2004 11:55:21 -0500

horae (036-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Wed,  2 Jun 2004 22:51:19 -0500

horae (035-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Wed,  2 Jun 2004 01:05:45 -0500

horae (034-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Thu, 20 May 2004 18:55:29 -0500

horae (033-2) unstable; urgency=low

  * Correct build dependencies to use pbuilder.

 -- root <root@iit.edu>  Fri, 16 Apr 2004 01:17:23 -0500

horae (033-1) unstable; urgency=low

  * New upstream release, fixed project file managment in Artemis

 -- Carlo Segre <segre@iit.edu>  Fri,  9 Apr 2004 23:46:07 -0500

horae (031-1) unstable; urgency=low

  * New upstream release.  Merged Atoms into package.

 -- Carlo Segre <segre@iit.edu>  Sun, 14 Mar 2004 00:56:39 -0600

horae (027-2) unstable; urgency=low

  * Fine tune installation of ifeffit perl extensions.

 -- Carlo Segre <segre@iit.edu>  Sun, 21 Dec 2003 11:11:45 -0600

horae (027-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Sun,  7 Dec 2003 23:12:43 -0600

horae (026-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Wed, 26 Nov 2003 15:59:28 -0600

horae (025-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Tue,  4 Nov 2003 00:07:21 -0600

horae (024-2) unstable; urgency=low

  * New release of ifeffit, rebuild wrapper

 -- Carlo Segre <segre@iit.edu>  Thu, 30 Oct 2003 23:32:08 -0600

horae (024-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Sat, 27 Sep 2003 16:03:27 -0500

horae (021-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Thu, 19 Jun 2003 23:02:04 -0500

horae (020-2) unstable; urgency=low

  * New release of ifeffit, rebuild wrapper

 -- root <root@iit.edu>  Fri, 30 May 2003 17:31:32 -0500

horae (020-1) unstable; urgency=low

  * New upstream release, removed horae-update

 -- Carlo Segre <segre@iit.edu>  Fri, 16 May 2003 22:24:41 -0500

horae (019-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Mon,  5 May 2003 00:48:14 -0500

horae (018-4) unstable; urgency=low

  * Added color icons

 -- Carlo Segre <segre@iit.edu>  Wed, 30 Apr 2003 02:19:56 -0500

horae (018-3) unstable; urgency=low

  * Added menu entry and draft icons

 -- Carlo Segre <segre@iit.edu>  Tue, 29 Apr 2003 14:01:17 -0500

horae (018-2) unstable; urgency=low

  * Restored FBox after finding file selection bug in stock version

 -- Carlo Segre <segre@iit.edu>  Mon, 28 Apr 2003 09:02:31 -0500

horae (018-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Wed, 23 Apr 2003 22:55:02 -0500

horae (017-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Tue, 22 Apr 2003 10:10:16 -0500

horae (015-3) unstable; urgency=low

  * Removed Tie:Watch as it is in perl-tk

 -- Carlo Segre <segre@iit.edu>  Wed,  2 Apr 2003 01:02:48 -0600

horae (015-2) unstable; urgency=low

  * Removed FBox, Elements and Tk-Pod which caused overwrite conflicts.

 -- Carlo Segre <segre@iit.edu>  Fri, 28 Mar 2003 11:01:08 -0600

horae (015-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@iit.edu>  Fri, 28 Mar 2003 01:44:24 -0600

horae (014-1) unstable; urgency=low

  * Initial Release.

 -- Carlo Segre <segre@iit.edu>  Wed,  5 Mar 2003 14:01:16 -0600

